ArrayUtil (Axis API)
Keywords: org.apache.axis.utils.ArrayUtil class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.utils
Class ArrayUtil

    java.lang.Object
      org.apache.axis.utils.ArrayUtil

public class ArrayUtil
extends java.lang.Object

Nested Class Summary
`static class` | `ArrayUtil.NonConvertable`

Field Summary
`static ArrayUtil.NonConvertable` | `NON_CONVERTABLE` An object indicating that the conversion is not possible

Constructor Summary
`ArrayUtil()`

Method Summary
`static java.lang.Object` | `convertArrayToObject(java.lang.Object array, java.lang.Class destClass)` Convert an array object of which type is T[] to ArrayOfT class.
`static java.lang.Object` | `convertObjectToArray(java.lang.Object obj, java.lang.Class arrayType)` Convert ArrayOfT to T[].
`static int` | `getArrayDimension(java.lang.Class arrayType)` Gets the dimension of arrayType
`static boolean` | `isConvertable(java.lang.Class clazz, java.lang.Class arrayType)` Check if the clazz(perhaps ArrayOfT class) can be converted to T[].

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NON_CONVERTABLE

    public static final ArrayUtil.NonConvertable NON_CONVERTABLE

  An object indicating that the conversion is not possible

Constructor Detail

### ArrayUtil

    public ArrayUtil()

Method Detail

### convertObjectToArray

    public static java.lang.Object convertObjectToArray(java.lang.Object obj,
                                                        java.lang.Class arrayType)

  Convert ArrayOfT to T[].

  Parameters:
    `obj` - the object of type ArrayOfT to convert
    `arrayType` - the destination array type
  Returns:
    returns the converted array object. If not convertable the original obj argument is returned. If the obj is not type of ArrayOfT or the value is null, null is returned.

### isConvertable

    public static boolean isConvertable(java.lang.Class clazz,
                                        java.lang.Class arrayType)

  Check if the clazz(perhaps ArrayOfT class) can be converted to T[].

  Parameters:
    `clazz` - a class of ArrayOfT
    `arrayType` - an array class (T[])
  Returns:
    true if converable, false if not

### getArrayDimension

    public static int getArrayDimension(java.lang.Class arrayType)

  Gets the dimension of arrayType

  Parameters:
    `arrayType` - an array class
  Returns:
    the dimension

### convertArrayToObject

    public static java.lang.Object convertArrayToObject(java.lang.Object array,
                                                        java.lang.Class destClass)

  Convert an array object of which type is T[] to ArrayOfT class.

  Parameters:
    `array` - the array object
    `destClass` - the destination class
  Returns:
    the object of type destClass if convertable, null if not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.